Subject: [os2genau_digest] No. 976
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 10 Nov 2004 00:01:05 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 09 November 2004
 Number  976
**************************************************

Subjects for today
 
1  Re:  Xen virtual machine monitor : Kris Steenhaut <kris.steenhaut at hccnet.nl>
2  Re:  Xen virtual machine monitor : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  Firefox and Mozilla : Kev <kdownes at tpg dot com dot au>
4  Re:  Firefox and Mozilla : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 08 Nov 2004 14:51:38 +0100
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  Xen virtual machine monitor

Alan Duval schreef:

>Hi,
>
>Those interested in virtual machine monitors may like to look at this site.
>
>http://www.cl.cam.ac.uk/Research/SRG/netos/xen/index.html
>
>  
>
The part I don't quite understand well is:

> Work on Xen has been supported by UK EPSRC grant GR/S01894, Intel 
> Research, HP Labs and Microsoft Research.

Supported by M$ research?????  Hmmm....

Furthermore:

>
>         .4 Does Xen support Microsoft Windows?
>         <http://www.cl.cam.ac.uk/Research/SRG/netos/xen/faq.html#q1.4>
>
> Unfortunately there are no plans to support any versions of Windows in 
> the near future. Furthermore, a port of Windows would be encumbered by 
> licensing issues. Longer term, virtualisation features in 
> next-generation CPUs should make it much easier to support unmodified 
> OSes: at that time we will reconsider Windows support.
>

To say the least, these statements are rather contradictory.

Also, no doubt BIg Blue would/will object as well due to licensing 
issues. So, I don't think there is much in it for us.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 09 Nov 2004 07:12:17 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Xen virtual machine monitor

Hi Alan,

 While interesting, this is a Linux system that will only (at present) run specialy
ported distributions of Linux as guest OSes. There's nothing there for OS2-eCS or
Windows.

It's good to see the open source community getting involved in virtualisation in
general however as I believe this technology is becoming more and more important.

Xen is at present only a competitor for VMWare on Linux, running Linux.

Cheers/2

Ed.

Alan Duval wrote:

> Hi,
>
> Those interested in virtual machine monitors may like to look at this site.
>
> http://www.cl.cam.ac.uk/Research/SRG/netos/xen/index.html
>
> Regards
>
> Alan Duval
>

>  

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 09 Nov 2004 10:46:30 +0800
From:  Kev <kdownes at tpg dot com dot au>
Subject:  Re:  Firefox and Mozilla

Hi John

John Angelico wrote:

>>Can I do this *easily*?
> 
> No. It will always take at least *some* effort.

I think "how much effort" was implied.

>>Do I simply install Firefox and delete Mozilla when I'm ready?
> 
> That would be the simplest, as long as you have not invested a lot of
> time/effort in building up your Mozilla profile and settings, which you want
> to migrate to Firefox. 
> 
>>Can I migrate my \HOME\ directory to Firefox?
> 
> Possibly, but...
> 
>>If so, how?
> 
> Do you have a Mozilla Profiles path in CONFIG.SYS? 
> Something that says SET MOZILLA_HOME= Drive:\path

I have these lines (amongst many others) in my CONFIG.SYS ...

	SET HOME=G:\HOME\Kev
	SET MOZILLA_HOME=G:\HOME\Kev
	SET MOZ_PLUGIN_PATH=G:\PROGRAMS\MOZ_PLUG

.... which I'm sure covers it.  So does this mean that FireFox uses a 
"MOZILLA" environment variable and not a "FIREFOX" equivalent
(SET FIREFOX_HOME=G:\HOME\Kev)?

> If so, then install Firefox first, before deleting Mozilla.

> If you don't, then set up a folder such as Drive:\MOZPROFILES (with NO tree
> below it) and put the line in CONFIG.SYS.

What I've said above (SET MOZILLA_HOME=G:\HOME\Kev) precludes the need 
for this step then?

I'm not trying to be funny here.  I really am a bit thick!!

>>Any help would be appreciated.  Remember I'm dumb!!
> 
> Then I would suggest installing Firefox, which will honour that path setting,
> and put your default profile in there. 

OK, so I ...
1. install FIREFOX to H:\FIREFOX there-by allowing it to pick up the
    SET MOZILLA_HOME=G:\HOME\Kev directive.
2. remove Mozilla.
3. run firefox as though nothing had happened.

I do appreciate your help here John.

God bless you and yours.
Kev

ps  Can I get a copy of your PMTagline programme?

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Tue, 09 Nov 2004 14:47:19 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Firefox and Mozilla

On Tue, 09 Nov 2004 10:46:30 +0800, Kev wrote:

Hi Kev.

>OK, so I ...
>1. install FIREFOX to H:\FIREFOX there-by allowing it to pick up the
>    SET MOZILLA_HOME=G:\HOME\Kev directive.

Yes. From the early part of your reply you had all that ready to go. And you
are right, MOZILLA has not been replaced by FIREFOX in those directives. 

>2. remove Mozilla.
Yes.

>3. run firefox as though nothing had happened.
[Politician's answer :-)] Theoretically, yes.

>
>I do appreciate your help here John.

No worries.

>God bless you and yours.

Thank you.

>ps  Can I get a copy of your PMTagline programme?

I will send it privately - this is on the list to assist others if necessary.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... T.A.R.D.I.S. Have phone: will travel. ANY where, ANY time!
----------------------------------------------------------------------------------